spasm.construct {mgcv} | R Documentation

## Experimental sparse smoothers

### Description

These are experimental sparse smoothing functions, and should be left well alone!

### Usage

    spasm.construct(object,data)
    spasm.sp(object,sp,w=rep(1,object$nobs),get.trH=TRUE,block=0,centre=FALSE)
    spasm.smooth(object,X,residual=FALSE,block=0)

### Arguments

`object` | sparse smooth object
`data` | data frame
`sp` | smoothing parameter value
`w` | optional weights
`get.trH` | Should (estimated) trace of sparse smoother matrix be returned
`block` | index of block, 0 for all blocks
`centre` | should sparse smooth be centred?
`X` | what to smooth
`residual` | apply residual operation?

### WARNING

It is not recommended to use these yet

### Author(s)

Simon N. Wood simon.wood@r-project.org

[Package mgcv version 1.8-12 Index]